# Checkout callback Kustom provides a number of different callbacks during the customer's checkout session. The callbacks can be used to update the order when the customer changes their address as well as to do a final check to validate the order before it is submitted. The callbacks are sent as POST requests to the endpoint you specify when creating the order. Your response is interpreted using the response code and body. Version: 1.0.0 ## Servers ``` https://api.kustom.co ``` ## Download OpenAPI description [Checkout callback](https://docs.kustom.co/_bundle/contents/api/checkout-callback.yaml) ## Other ### Address update - [POST /merchant_urls.address_update](https://docs.kustom.co/contents/api/checkout-callback/other/updateaddress.md): Will be called whenever the consumer changes billing or shipping address. The order will be updated according to the response received by Checkout. ### Country change - [POST /merchant_urls.country_change](https://docs.kustom.co/contents/api/checkout-callback/other/countrychange.md): Will be called whenever the consumer changes billing address country. The order will be updated according to the response received by Checkout. ### Shipping option update - [POST /merchant_urls.shipping_option_update](https://docs.kustom.co/contents/api/checkout-callback/other/updateshippingoption.md): Will be called whenever the consumer selects a shipping option. The order will be updated according to the response received by Checkout. ### Order validation - [POST /merchant_urls.validation](https://docs.kustom.co/contents/api/checkout-callback/other/validate.md): Will be called before completing the purchase to validate the information provided by the consumer in Kustom's Checkout iframe.